GNU Radio C++ API Reference: gr::digital::adaptive_algorithm_cma Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
gr::digital::adaptive_algorithm_cma Class Reference

`#include <gnuradio/digital/adaptive_algorithm_cma.h>`

## Public Types
typedef std::shared_ptr< adaptive_algorithm_cma > | sptr

## Public Member Functions
gr_complex | error (const gr_complex &out) const
gr_complex | error_dd (gr_complex &u_n, gr_complex &decision) const override
gr_complex | error_tr (const gr_complex &u_n, const gr_complex &d_n) const override
void | update_taps (gr_complex *taps, const gr_complex *in, const gr_complex error, const gr_complex decision, unsigned int num_taps) override
gr_complex | update_tap (const gr_complex tap, const gr_complex &u_n, const gr_complex err, const gr_complex decision) override
| ~adaptive_algorithm_cma () override
Public Member Functions inherited from gr::digital::adaptive_algorithm
virtual | ~adaptive_algorithm ()
| adaptive_algorithm (adaptive_algorithm_t alg_type, constellation_sptr cons)
adaptive_algorithm_sptr | base ()
virtual void | initialize_taps (std::vector< gr_complex > &taps)

## Static Public Member Functions
static sptr | make (constellation_sptr cons, float step_size, float modulus)

## Protected Member Functions
| adaptive_algorithm_cma (constellation_sptr cons, float step_size, float modulus)

## Additional Inherited Members
Protected Attributes inherited from gr::digital::adaptive_algorithm
const adaptive_algorithm_t | d_algorithm_type
const constellation_sptr | d_constellation

## Member Typedef Documentation

## ◆ sptr

typedef std::shared_ptr<adaptive_algorithm_cma> gr::digital::adaptive_algorithm_cma::sptr

## Constructor & Destructor Documentation

## ◆ adaptive_algorithm_cma()

gr::digital::adaptive_algorithm_cma::adaptive_algorithm_cma | ( | constellation_sptr | cons,
|  | float | step_size,
|  | float | modulus )
| inlineprotected

References gr::digital::adaptive_algorithm::adaptive_algorithm(), and gr::digital::CMA.

Referenced by make().

## ◆ ~adaptive_algorithm_cma()

gr::digital::adaptive_algorithm_cma::~adaptive_algorithm_cma | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ error()

gr_complex gr::digital::adaptive_algorithm_cma::error | ( | const gr_complex & | out | ) | const
| inline

References gr::clip(), and error().

Referenced by error(), error_dd(), error_tr(), and update_taps().

## ◆ error_dd()

gr_complex gr::digital::adaptive_algorithm_cma::error_dd | ( | gr_complex & | u_n,
|  | gr_complex & | decision ) const
| inlineoverridevirtual

Reimplemented from gr::digital::adaptive_algorithm.

References error().

## ◆ error_tr()

gr_complex gr::digital::adaptive_algorithm_cma::error_tr | ( | const gr_complex & | u_n,
|  | const gr_complex & | d_n ) const
| inlineoverridevirtual

Reimplemented from gr::digital::adaptive_algorithm.

References error().

## ◆ make()

sptr gr::digital::adaptive_algorithm_cma::make | ( | constellation_sptr | cons,
|  | float | step_size,
|  | float | modulus )
| inlinestatic

References adaptive_algorithm_cma().

## ◆ update_tap()

gr_complex gr::digital::adaptive_algorithm_cma::update_tap | ( | const gr_complex | tap,
|  | const gr_complex & | u_n,
|  | const gr_complex | err,
|  | const gr_complex | decision )
| inlineoverridevirtual

Implements gr::digital::adaptive_algorithm.

## ◆ update_taps()

void gr::digital::adaptive_algorithm_cma::update_taps | ( | gr_complex * | taps,
|  | const gr_complex * | in,
|  | const gr_complex | error,
|  | const gr_complex | decision,
|  | unsigned int | num_taps )
| inlineoverridevirtual

Reimplemented from gr::digital::adaptive_algorithm.

References error(), and taps.

The documentation for this class was generated from the following file:

- adaptive_algorithm_cma.h